<?php
require_once("cwfUI.inc.php");

class KDbLogUI extends cwfUI {
  protected static $accessRight = "only_root";
  protected static $dataClass = "KDbLog";
  
  public function __construct() {
    parent::__construct();
    $this->title = _("KDb Log");
  }
  
  public function getHTML(DbConnection $DB) {
    
?>
<table class="borderrows alignleft">
<thead>
  <tr>
    <th style="white-space:nowrap;"><?=_("Date / time")?></th>
    <th style="white-space:nowrap;"><?=_("Admin")?></th>
    <th><?=_("Log entry")?></th>
  </tr>
</thead>
<tbody>
<?php 
    KDbLog::printLogTable($DB);
?>
</tbody>
</table>
<?php
  }
}

?>