<?php
interface icwfData {
  /////////////////////////////////////////////////////////////////////////////////////////////////
  // initialize
  //Functions not part of interface:
  //private function initialize();
  //public function __construct(FormValidation $validation=null);
  //public function __clone();

  /////////////////////////////////////////////////////////////////////////////////////////////////
  // get values
  public function __get($name);
  public function getIDName();
  public function toArray();
  public function getPostBackData();

  ////////////////////////////////////////////////////////////////////////////////////////////////
  // set values
  public function setValidation(FormValidation $validation);
  public function fromArray($array);

  /////////////////////////////////////////////////////////////////////////////////////////////////
  // database operations - read
  public function readData(DbConnection $DB, $conditions);
  static public function readList(DbConnection $DB);

  /////////////////////////////////////////////////////////////////////////////////////////////////
  // database operations - write
  public function writeData(DbConnection $DB);
  static public function deleteData(DbConnection $DB, $id);

  /////////////////////////////////////////////////////////////////////////////////////////////////
  // database operations - misc
  //Functions not part of interface:
  //static public function createTable(DbConnection $DB);
  
}
?>