<?php
require_once("CWFTools.inc.php");
/*
 * Common Constants
 */

define("KDB_VERSION", "3.4.0");

define("EMAIL_DONT_CHECK", 0);
define("EMAIL_CHECK_EVENT", 1);
define("EMAIL_ALWAYS_CHECK", 2);

define("OPTION_GROUP_FEES", 1);
define("OPTION_GROUP_ADDINFO", 2);
define("OPTION_GROUP_TICKETS", 3);

define("EVENT_OPTION_TEXT", 1);
define("EVENT_OPTION_TEXT_MULTILINE", 2);
define("EVENT_OPTION_DATE", 3);
define("EVENT_OPTION_NUMBER_INT", 4);
define("EVENT_OPTION_NUMBER_DEC", 5);
define("EVENT_OPTION_SELECT", 6);

//Event bookable
define("EVENT_OPEN", 0);
define("EVENT_NOT_STARTED", 1);
define("EVENT_ENDED", 2);
define("EVENT_PAST_DEADLINE", 3);
define("EVENT_BOOKED_OUT", 4);
define("EVENT_WAITLIST", 5);
define("EVENT_REGISTERED", 6);

/*
 * Tools for KDb
 */
class KDbTools extends CWFTools {
  protected final function __construct() {
  }
  
  static public function sendConfirmation($emailAddr, $emailText, $eventTitle, $emailFrom, $emailBCC="") {
    parent::sendEmail($emailAddr, $emailText, _("Register for")." \"{$eventTitle}\"", $emailFrom, $emailBCC);
  }
}
?>
