<?php
if ($DB->getConnectionError())
  $menu->setErrorMessage($DB->getConnectionError(), 1);
else if (isset($_SESSION['user']))
  $menu->setErrorMessage(_("You are already logged in."), 1);
else if(isset($_POST['kdb_submit']) && $_POST['kdb_submit']) {
  $user = new User();
  if(preg_match('~^[0-9]+$~', $_POST['login']))
    list($errno, $error) = $user->readData($DB, "user_id='{$_POST['login']}'");
  else
    list($errno, $error) = $user->readData($DB, "lower(email)='".strtolower($_POST['login'])."'");
  
  if(!$errno && $user->id) {
    $emailTxt = str_replace(array('$URL$', '$ORGANISATION_NAME$'), array("http://".$_SERVER['SERVER_NAME'].KDbConfig::getCwfHttpPath(), KDbConfig::getOrganisationName()), $emailTxt);
    $emailTxt = $user->getConfirmationText($DB, $emailTxt, true);
    KDbTools::sendConfirmation($user->email, $emailTxt, KDbConfig::getOrganisationName(), KDbConfig::getRootEmail());
    header("Location: index.php?message=pw_sent");
  }
  else {
    $menu->setErrorMessage($error, 0);
  }
  unset($_SESSION['reg_passwd']);
}

class ForgotPwUI {
  public function getHTML() {
    echo "<form id=\"kdb_form\" action=\"\" method=\"post\" enctype=\"multipart/form-data\">\n";
    echo "<div id=\"center\" class=\"login_form\">\n";
    echo "<p>"._("Please enter your registration id or your email address. We will send you a new password.")."</p>\n";
    echo "<p><label for=\"login\">"._("Registration id or email").":</label><input type=\"text\" id=\"login\" name=\"login\" value=\"\"></p>\n";
    echo "<p><input type=\"submit\" id=\"kdb_submit\" name=\"kdb_submit\" value=\""._("Submit")."\" class=\"indented\"></p>\n";
    echo "</div>\n";
    echo "</form>\n";
  }
}

$ui = new ForgotPwUI();

?>
