function sortedToggleElement(id, element, container) {
  if(container.hasClass("toggle_available"))
    containerClass = ".toggle_selected";
  else
    containerClass = ".toggle_available";

  if(container.parent().find(containerClass+' ul li').length==0)
    container.parent().find(containerClass+' ul').append(element);
  else if(parseInt(container.parent().find(containerClass+' ul li:last').attr("name").substr("toggle_".length))<id)
    container.parent().find(containerClass+' ul li:last').after(element);
  else {
    $(containerClass+' ul li', container.parent()).each(function() {
      var currentId=parseInt($(this).attr("name").substr("toggle_".length));
      if(currentId > id) {
        $(this).before(element);
        return false;
      }
    });
  }
}

function changeToggleElement(element) {
  element.removeClass("active");
  var container = element.closest("div");
  var id=parseInt(element.attr("name").substr("toggle_".length));
  if(isNaN(id)) return;
  if(container.hasClass("toggle_available")) {
    element.children("input").prop("disabled", false);
    if(container.parent().find(".toggle_selected").hasClass("toggle_sorted"))
      sortedToggleElement(id, element, container, ".toggle_available");
    else
      container.parent().find(".toggle_selected ul").append(element);
  }
  else if(container.hasClass("toggle_selected")) {
    element.children("input").prop("disabled", true);
    element.children("input[type=checkbox]").prop("checked", false);
    sortedToggleElement(id, element, container, ".toggle_selected");
  }
}

$(document).ready(function(){
  $(".toggle_available ul li, .toggle_selected ul li").not('.toggle_header').click(function(){
      if($(this).hasClass("active"))
        $(this).removeClass("active");
      else {
        $("li", $(this).closest("ul")).removeClass("active");
        $(this).addClass("active");
      }
    });
  $(".toggle_available ul li, .toggle_selected ul li").not('.toggle_header').dblclick(function() { changeToggleElement($(this)); });
  $(".toggle_add").click(function() {
      selectedLi = $(".toggle_available ul li.active", $(this).closest(".toggle"));
      if(selectedLi.length>0)
        changeToggleElement(selectedLi);
    });
  $(".toggle_remove").click(function() {
      selectedLi = $(".toggle_selected ul li.active", $(this).closest(".toggle"));
      if(selectedLi.length>0)
        changeToggleElement(selectedLi);
    });
  $(".toggle_up").click(function() {
      selectedLi = $(".toggle_selected ul li.active", $(this).closest(".toggle"));
      selectedLi.prev().before(selectedLi);
    });
  $(".toggle_down").click(function() {
      selectedLi = $(".toggle_selected ul li.active", $(this).closest(".toggle"));
      selectedLi.next().after(selectedLi);
    });
});
